.searchbar-container {
    position: relative;
    width: 100%;
    max-width: 400px;
    margin: 0 auto;
}

.searchbar {
    display: flex;
    align-items: center;
    border: 1px solid #ccc;
    border-radius: 4px;
    padding: 8px;
    background-color: #fff;
    width: 200px; /* Largura inicial pequena */
    transition: width 0.3s ease; /* Transição suave */
}

.searchbar:focus-within,
.searchbar-large .searchbar {
    width: 100%; /* Largura aumentada ao focar ou quando há um termo de pesquisa */
}

.searchbar img {
    width: 20px;
    height: 20px;
    margin-right: 8px;
}

.searchbar input {
    display: flex;
    border: none;
    outline: none;
    font-size: 16px;
    width: 100%;
}

.results-box {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background-color: #fff;
    border: 1px solid #ccc;
    border-top: none;
    border-radius: 0 0 4px 4px;
    max-height: 200px;
    overflow-y: auto;
    z-index: 1000;
}

.result-item {
    padding: 8px;
    cursor: pointer;
}

.result-item:hover {
    background-color: #f0f0f0;
}